> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch specific accounts

> Fetch a specified set of accounts. When a client requests all accounts, this API will be used
to filter to only the accounts that were authorized by the end user.




## OpenAPI

````yaml /openapi/fdx.yml post /fdx/v6/customer/{customerId}/accounts
openapi: 3.0.3
info:
  version: 1.0.0
  title: Fiskil FDX API
  description: >
    The Fiskil FDX API is a subset of the FDX API specification suited to most
    Open Finance use cases. You must implement this API and configure it as your
    Data Provider's

    [Resource Server](/guide/resource_server) so your Data Provider can return
    the appropriate data once an authorisation has been created.

    ## FDX compliance


    The Fiskil FDX API specifications are a subset of the Financial Data
    Exchange (FDX) API specification, the usage thereof (or any part thereof)
    constitutes acceptance of the FDX API

    License Agreement, which can be found at https://financialdataexchange.org/.
    The FDX API specification is distributed exclusively by FDX. Modifications
    to eliminate required or

    conditional elements prescribed in the FDX API Certification Use Cases will
    render any implementations using said modifications non-conformant with the
    FDX API Certification Use Cases.

    Please note that building the FDX-compliant Data Provider API and permitting
    Fiskil to call your build constitutes acceptance of

    the FDX end user license agreement, which can be found at
    https://financialdataexchange.org/.

    The full FDX API standard specification is distributed exclusively by FDX.


    ## Error handling

    When handling errors in your API it is important you return the error
    structures defined in this specification so that your responses remain FDX
    compliant. Each API defines the

    various error conditions that you may encounter and how to represent them.
  contact:
    name: Fiskil Support
    url: https://fiskil.com
    email: support@fiskil.com.au
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /fdx/v6/customer/{customerId}/accounts:
    post:
      tags:
        - Account Information
      summary: Fetch specific accounts
      description: >
        Fetch a specified set of accounts. When a client requests all accounts,
        this API will be used

        to filter to only the accounts that were authorized by the end user.
      operationId: getSpecificAccounts
      parameters:
        - $ref: '#/components/parameters/OffsetQuery'
        - $ref: '#/components/parameters/LimitQuery'
        - $ref: '#/components/parameters/CustomerIdPath'
      requestBody:
        content:
          application/json:
            example:
              data:
                accountIds:
                  - depositAccount0000001
                  - loanAccount0000001
            schema:
              type: object
              required:
                - data
              properties:
                data:
                  type: object
                  required:
                    - accountIds
                  description: The set of accounts to fetch
                  properties:
                    accountIds:
                      description: List of account IDs to fetch account data for
                      type: array
                      items:
                        type: string
      responses:
        '200':
          description: >
            An array of accounts.


            **Note:** Each object in the accounts array is expected to contain
            at least one account type.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Accounts'
              example:
                page:
                  nextOffset: B47D80MVP23T
                accounts:
                  - accountCategory: DEPOSIT_ACCOUNT
                    accountId: depositAccount0000001
                    accountType: CHECKING
                    accountNumberDisplay: '5820'
                    productName: Checking
                    nickname: Main Checking
                    status: OPEN
                    currency:
                      currencyCode: USD
                  - accountCategory: LOAN_ACCOUNT
                    accountId: loanAccount0000001
                    accountType: LOAN
                    accountNumberDisplay: '4704'
                    productName: Loan
                    nickname: Primary Loan
                    status: OPEN
                    currency:
                      currencyCode: USD
                  - accountCategory: LOC_ACCOUNT
                    accountId: locAccount0000001
                    accountType: LINEOFCREDIT
                    accountNumberDisplay: '8200'
                    productName: Line of Credit
                    nickname: First plaidypus LOC
                    status: OPEN
                    currency:
                      currencyCode: USD
                  - accountCategory: INVESTMENT_ACCOUNT
                    accountId: investmentAccount0000001
                    accountType: TAXABLE
                    accountNumberDisplay: '1050'
                    productName: Brokerage Account
                    nickname: First plaidypus Brokerage
                    status: OPEN
                    currency:
                      currencyCode: USD
        '404':
          $ref: '#/components/responses/responseErrorCustomerIdNotFound'
        '500':
          description: |
            Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
        '503':
          description: |
            Scheduled maintenance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduledMaintenanceError'
components:
  parameters:
    OffsetQuery:
      name: offset
      in: query
      description: >
        An opaque ID that indicates there is at least one more page of data
        available. This value does not need to be numeric or have any specific
        pattern. If provided, the Data Provider will use this value to send a
        new request and retrieve the next page. Omitting this value indicates
        that there is no more data to retrieve.
      schema:
        type: string
        example: qwer123454q2f
    LimitQuery:
      name: limit
      in: query
      description: >
        The number of elements that the API consumer wishes to receive. To
        retrieve multiple pages, the Data Provider will use the opaque
        `nextOffset` field to send a subsequent request until the `nextOffset`
        is no longer included.
      schema:
        type: integer
    CustomerIdPath:
      name: customerId
      in: path
      description: >
        Unique identifier for the user the account belongs to. This will be the
        user that authorized the data sharing.
      required: true
      schema:
        $ref: '#/components/schemas/Identifier'
  schemas:
    Accounts:
      title: Accounts entity
      type: object
      description: |
        An optionally paginated array of accounts.
      allOf:
        - $ref: '#/components/schemas/PaginatedArray'
        - type: object
          properties:
            accounts:
              type: array
              description: |
                An optionally paginated array of accounts.
              items:
                $ref: '#/components/schemas/AccountWithDescriptor'
              minItems: 1
          required:
            - accounts
    InternalServerError:
      title: Internal Server Error
      description: Error response for internal server errors
      type: object
      properties:
        code:
          type: integer
          description: |
            FDX Error code for internal server error
          enum:
            - 500
          example: 500
        message:
          type: string
          description: >
            End user displayable information which might help the customer
            diagnose an error
        debugMessage:
          type: string
          description: >
            Message used to debug the root cause of the error. Provider can
            include an error GUID in message for their use
      required:
        - code
        - message
      example:
        code: 500
        message: Internal server error
        debugMessage: Provider custom developer-level error details for troubleshooting
    ScheduledMaintenanceError:
      title: Scheduled Maintenance Error
      description: Error response when system is under scheduled maintenance
      type: object
      properties:
        code:
          type: integer
          description: |
            FDX Error code for scheduled maintenance
          enum:
            - 503
          example: 503
        message:
          type: string
          description: >
            End user displayable information which might help the customer
            diagnose an error
        debugMessage:
          type: string
          description: >
            Message used to debug the root cause of the error. Provider can
            include an error GUID in message for their use
      required:
        - code
        - message
      example:
        code: 503
        message: Scheduled maintenance
        debugMessage: >-
          System is down for maintenance. Retry-After HTTP header may be used to
          communicate estimated time of recovery
    Identifier:
      title: Identifier
      description: |
        Value for a unique identifier
      type: string
      maxLength: 256
      example: someLongTermUniqueIDString
    PaginatedArray:
      title: Paginated Array
      description: |
        Base class for results that may be paginated
      type: object
      properties:
        page:
          $ref: '#/components/schemas/PageMetadata'
    AccountWithDescriptor:
      title: Account entity
      description: |
        This provides an instance of an account without full details.
      type: object
      discriminator:
        propertyName: accountCategory
        mapping:
          ANNUITY_ACCOUNT:
            $ref: '#/components/schemas/AnnuityAccountDescriptor'
          COMMERCIAL_ACCOUNT:
            $ref: '#/components/schemas/CommercialAccountDescriptor'
          DEPOSIT_ACCOUNT:
            $ref: '#/components/schemas/DepositAccountDescriptor'
          INSURANCE_ACCOUNT:
            $ref: '#/components/schemas/InsuranceAccountDescriptor'
          INVESTMENT_ACCOUNT:
            $ref: '#/components/schemas/InvestmentAccountDescriptor'
          LOAN_ACCOUNT:
            $ref: '#/components/schemas/LoanAccountDescriptor'
          LOC_ACCOUNT:
            $ref: '#/components/schemas/LineOfCreditAccountDescriptor'
      oneOf:
        - $ref: '#/components/schemas/AnnuityAccountDescriptor'
        - $ref: '#/components/schemas/CommercialAccountDescriptor'
        - $ref: '#/components/schemas/DepositAccountDescriptor'
        - $ref: '#/components/schemas/InsuranceAccountDescriptor'
        - $ref: '#/components/schemas/InvestmentAccountDescriptor'
        - $ref: '#/components/schemas/LoanAccountDescriptor'
        - $ref: '#/components/schemas/LineOfCreditAccountDescriptor'
    GenericError:
      example:
        error: An error message
      type: object
      properties:
        error:
          type: string
          description: A message describing what caused the error
      required:
        - error
    PageMetadata:
      title: Page Metadata
      description: >
        Contains the opaque identifier, `nextOffset`, to indicate a paginated
        result set.
      type: object
      properties:
        nextOffset:
          type: string
          example: B47D80MVP23T
          description: |
            Opaque offset identifier
        totalElements:
          type: integer
          example: 3
          description: |
            Total number of elements
    AnnuityAccountDescriptor:
      title: Annuity account
      description: >
        An annuity account. For example, a fixed or variable annuity account.


        The `accountType` field for annuity accounts may be set to any of the
        following:

          - `ANNUITY`: A form of insurance or investment entitling the investor to a series of annual sums.
          - `FIXEDANNUITY`: A type of insurance contract that promises to pay the buyer a specific, guaranteed interest rate on their contributions to the account.
          - `VARIABLEANNUITY`: A type of insurance contract that promises to pay back the buyer based on the performance of an underlying portfolio of mutual funds selected by the buyer.
      allOf:
        - $ref: '#/components/schemas/AccountDescriptor'
        - type: object
          properties:
            accountCategory:
              type: string
              example: ANNUITY_ACCOUNT
              enum:
                - ANNUITY_ACCOUNT
            accountType:
              $ref: '#/components/schemas/AnnuityAccountType'
          required:
            - accountType
            - accountCategory
    CommercialAccountDescriptor:
      title: Commercial account
      description: >
        A commercial account. For example, a business deposit account. The
        `accountType` field for commercial accounts may be set to any of the
        [account types](#commercial-account-types) listed below
      allOf:
        - $ref: '#/components/schemas/AccountDescriptor'
        - type: object
          properties:
            accountCategory:
              type: string
              example: COMMERCIAL_ACCOUNT
              enum:
                - COMMERCIAL_ACCOUNT
            accountType:
              $ref: '#/components/schemas/CommercialAccountType'
          required:
            - accountType
            - accountCategory
    DepositAccountDescriptor:
      title: Deposit account
      description: >
        A deposit account. For example, a checking, savings or money market
        account.


        The `accountType` field for deposit accounts may be set to any of the
        following:


        - `CHECKING`: A deposit account held at a financial institution that
        allows withdrawals and deposits.

        - `SAVINGS`: An interest-bearing deposit account held at a bank or other
        financial institution.

        - `CD`: A certificate of deposit (CD) is a product offered by banks and
        credit unions that provides an interest rate premium in exchange for the
        customer agreeing to leave a lump-sum deposit untouched for a
        predetermined period of time.

        - `COMMERCIALDEPOSIT`: A deposit account for commercial customers, for
        example a business trust account.

        - `ESCROW`: A contractual arrangement in which a third party (the
        stakeholder or escrow agent) receives and disburses money or property
        for the primary transacting parties, with the disbursement dependent on
        conditions agreed to by the transacting parties.

        - `MONEYMARKET`: A deposit account that pays interest based on current
        interest rates in the money markets.

        - `OTHERDEPOSIT`: Use when none of the listed enums apply.
      allOf:
        - $ref: '#/components/schemas/AccountDescriptor'
        - type: object
          properties:
            accountCategory:
              type: string
              example: DEPOSIT_ACCOUNT
              enum:
                - DEPOSIT_ACCOUNT
            accountType:
              $ref: '#/components/schemas/DepositAccountType'
          required:
            - accountType
            - accountCategory
    InsuranceAccountDescriptor:
      title: Insurance account
      description: >
        An insurance account. For example, whole life insurance or short-term
        disability.


        The `accountType` field for insurance accounts may be set to any of the
        following:

          - `LONGTERMDISABILITY`: Insurance that replaces a portion of the policyholder's income due to a disability for an extended period of time, usually more than a year.
          - `SHORTTERMDISABILITY`: Insurance that replaces a portion of the policyholder's income due to a disability for a short period of time, usually less than a year.
          - `UNIVERSALLIFE`: A type of a cash value life insurance where the excess of premium payments above the current cost of insurance is credited to the cash value of the policy, which in turn is credited each month with interest.
          - `WHOLELIFE`: Life insurance which is guaranteed to remain in force for the insured's entire lifetime, provided required premiums are paid, or to the maturity date.
      allOf:
        - $ref: '#/components/schemas/AccountDescriptor'
        - type: object
          properties:
            accountCategory:
              type: string
              example: INSURANCE_ACCOUNT
              enum:
                - INSURANCE_ACCOUNT
            accountType:
              $ref: '#/components/schemas/InsuranceAccountType'
          required:
            - accountType
            - accountCategory
    InvestmentAccountDescriptor:
      title: Investment account
      description: >
        An investment account. For example, a 401K or IRA.


        The `accountType` field for investment accounts may be set to any of the
        following:

          - `401A`: An employer-sponsored money-purchase retirement plan that allows dollar or percentage-based contributions from the employer, the employee, or both.
          - `401K`: An employer-sponsored defined-contribution pension account defined in subsection 401(k) of the Internal Revenue Code.
          - `403B`: A U.S. tax-advantaged retirement savings plan available for public education organizations, some non-profit employers (only Internal Revenue Code 501(c)(3) organizations), cooperative hospital service organizations, and self-employed ministers in the United States.
          - `529`: A tax-advantaged savings plan designed to help pay for education.
          - `BROKERAGEPRODUCT`: Investment management offered by a licensed brokerage firm that places trades on behalf of the customer, utilizing any number of investment options.
          - `COMMERCIALINVESTMENT`: Investment Account for Commercial Customers. e.g. Commercial Brokerage Account.
          - `COVERDELL`: A trust or custodial account set up in the United States solely for paying qualified education expenses for the designated beneficiary of the account.
          - `DIGITALASSET`: An account containing digital assets.
          - `DEFINEDBENEFIT`: An employer-sponsored retirement plan where employee benefits are computed using a formula that considers several factors, such as length of employment and salary history.
          - `GUARDIAN`: An account of a child in the parent's name, with legal title to the assets in the account, as well as all capital gains and tax liabilities produced from the account belonging to the parent.
          - `INSTITUTIONALTRUST`: An institutional trust account.
          - `IRA`: An individual retirement account (IRA) is a tax-advantaged account that individuals use to save and invest for retirement.
          - `KEOGH`: A tax-deferred pension plan available to self-employed individuals or unincorporated businesses for retirement purposes.
          - `NONQUALIFIEDPLAN`: A type of tax-deferred employer-sponsored retirement plan that falls outside of ERISA guidelines.
          - `OTHERINVESTMENT`: Use when none of the listed enums apply.
          - `ROLLOVER`: An account containing investments rolled over from an employee-sponsored account.
          - `ROTH`: An individual retirement account that offers tax-free growth and tax-free withdrawals in retirement.
          - `SARSEP`: A simplified employee pension (SEP) plan set up before 1997 that includes a salary reduction arrangement.
          - `TAXABLE`: A taxable investment account.
          - `TDA`: TreasuryDirect Account.
          - `TRUST`: A type of financial account that is opened by an individual and managed by a designated trustee for the benefit of a third party in accordance with agreed-upon terms.
          - `TERM`: Life insurance that provides coverage at a fixed rate of payments for a limited period of time.
          - `UGMA`: Uniform Gifts to Minors Act account.
          - `UTMA`: Uniform Transfers to Minors Act account.
      allOf:
        - $ref: '#/components/schemas/AccountDescriptor'
        - type: object
          properties:
            accountCategory:
              type: string
              example: INVESTMENT_ACCOUNT
              enum:
                - INVESTMENT_ACCOUNT
            accountType:
              $ref: '#/components/schemas/InvestmentAccountType'
          required:
            - accountType
            - accountCategory
    LoanAccountDescriptor:
      title: Loan account
      description: >
        A loan account. For example, mortgage, student loan or auto loan.


        The `accountType` field for loan accounts may be set to any of the
        following:

          - `AUTOLOAN`: A type of loan used to finance a car purchase.
          - `COMMERCIALLOAN`: A preset borrowing limit that can be used at any time.
          - `HOMEEQUITYLOAN`: A type of loan in which the borrower uses the equity of his or her home as collateral.
          - `INSTALLMENT`: A type of agreement or contract involving a loan that is repaid over time with a set number of scheduled payments.
          - `LOAN`: The lending of money by one or more individuals, organizations, or other entities to other individuals, organizations etc.
          - `MILITARYLOAN`: A military loan.
          - `MORTGAGE`: A type of loan you can use to buy or refinance a home.
          - `PERSONALLOAN`: A type of debt that is not protected by a guarantor, or collateralized by a lien on specific assets of the borrower.
          - `SMBLOAN`: A small/medium business loan.
          - `STUDENTLOAN`: A type of loan designed to help students pay for post-secondary education and the associated fees, such as tuition, books and supplies, and living expenses.
      allOf:
        - $ref: '#/components/schemas/AccountDescriptor'
        - type: object
          properties:
            accountCategory:
              type: string
              example: LOAN_ACCOUNT
              enum:
                - LOAN_ACCOUNT
            accountType:
              $ref: '#/components/schemas/LoanAccountType'
          required:
            - accountType
            - accountCategory
    LineOfCreditAccountDescriptor:
      title: Line-of-credit account
      description: >
        A line-of-credit account. For example, a credit card or home equity line
        of credit.


        The `accountType` field for line of credit accounts may be set to any of
        the following:

          - `LINEOFCREDIT`: A credit facility extended by a bank or other financial institution to a government, business or individual customer that enables the customer to draw on the facility when the customer needs funds.
          - `CHARGE`: An account to which goods and services may be charged on credit.
          - `COMMERCIALLINEOFCREDIT`: An account with a preset borrowing limit that can be used at any time.
          - `CREDITCARD`: Allows cardholders to borrow funds with which to pay for goods and services with merchants that accept cards for payment.
          - `HOMELINEOFCREDIT`: A loan in which the lender agrees to lend a maximum amount within an agreed period, where the collateral is the borrower's equity in their house.
      type: object
      allOf:
        - $ref: '#/components/schemas/AccountDescriptor'
        - type: object
          properties:
            accountCategory:
              type: string
              example: LOC_ACCOUNT
              enum:
                - LOC_ACCOUNT
            accountType:
              $ref: '#/components/schemas/LineOfCreditAccountType'
          required:
            - accountType
            - accountCategory
    AccountDescriptor:
      type: object
      discriminator:
        propertyName: accountCategory
      properties:
        accountCategory:
          $ref: '#/components/schemas/AccountCategory'
        accountId:
          $ref: '#/components/schemas/Identifier'
          description: >
            Long-term persistent identity of the account, though not an account
            number.

            This identity must be unique within your organization.
        accountNumberDisplay:
          description: >
            Account display number for the end user's handle at the owning
            financial

            institution.

            The last 4 digits of this masked number should correspond to the
            last 4 digits of the account number.
          type: string
          example: '4321'
        productName:
          type: string
          example: Premier Account
          description: >
            Marketed product name for this account. Used in UIs to assist in
            account selection
        nickname:
          description: |
            Account nickname
          type: string
        status:
          $ref: '#/components/schemas/AccountStatus'
        currency:
          $ref: '#/components/schemas/Currency'
      required:
        - accountCategory
        - accountId
        - productName
        - status
        - currency
    AnnuityAccountType:
      description: |
        The account type.
      type: string
      example: FIXEDANNUITY
      enum:
        - ANNUITY
        - FIXEDANNUITY
        - VARIABLEANNUITY
    CommercialAccountType:
      description: |
        The account type.
      type: string
      example: COMMERCIALLOAN
      enum:
        - COMMERCIALDEPOSIT
        - COMMERCIALINVESTMENT
        - COMMERCIALLOAN
        - COMMERCIALLINEOFCREDIT
    DepositAccountType:
      description: |
        The account type.
      type: string
      example: SAVINGS
      enum:
        - CHECKING
        - SAVINGS
        - CD
        - ESCROW
        - MONEYMARKET
        - OTHERDEPOSIT
    InsuranceAccountType:
      description: |
        The account type.
      type: string
      example: WHOLELIFE
      enum:
        - LONGTERMDISABILITY
        - SHORTTERMDISABILITY
        - UNIVERSALLIFE
        - WHOLELIFE
    InvestmentAccountType:
      description: |
        The account type.
      type: string
      example: ROTH
      enum:
        - 401A
        - 401K
        - 403B
        - '529'
        - BROKERAGEPRODUCT
        - COVERDELL
        - DIGITALASSET
        - DEFINEDBENEFIT
        - ESOP
        - GUARDIAN
        - INSTITUTIONALTRUST
        - IRA
        - KEOGH
        - NONQUALIFIEDPLAN
        - OTHERINVESTMENT
        - ROLLOVER
        - ROTH
        - SARSEP
        - TAXABLE
        - TDA
        - TRUST
        - TERM
        - UGMA
        - UTMA
    LoanAccountType:
      description: |
        The account type.
      type: string
      example: HOMEEQUITYLOAN
      enum:
        - AUTOLOAN
        - HOMEEQUITYLOAN
        - INSTALLMENT
        - LOAN
        - MILITARYLOAN
        - MORTGAGE
        - PERSONALLOAN
        - SMBLOAN
        - STUDENTLOAN
    LineOfCreditAccountType:
      description: |
        The account type.
      type: string
      example: CREDITCARD
      enum:
        - LINEOFCREDIT
        - CHARGE
        - CREDITCARD
        - HOMELINEOFCREDIT
    AccountCategory:
      title: Account Category type
      description: >
        The category of account. For example, annuity, commercial, deposit,
        insurance, investment, loan, or line of credit.
      enum:
        - ANNUITY_ACCOUNT
        - COMMERCIAL_ACCOUNT
        - DEPOSIT_ACCOUNT
        - INSURANCE_ACCOUNT
        - INVESTMENT_ACCOUNT
        - LOAN_ACCOUNT
        - LOC_ACCOUNT
    AccountStatus:
      title: Account Status
      description: |
        Account status
      type: string
      example: OPEN
      enum:
        - CLOSED
        - DELINQUENT
        - NEGATIVECURRENTBALANCE
        - OPEN
        - PAID
        - PENDINGCLOSE
        - PENDINGOPEN
        - RESTRICTED
    Currency:
      title: Currency entity
      description: Currency of the account balances
      type: object
      example:
        currencyCode: CAD
      properties:
        currencyCode:
          $ref: '#/components/schemas/Iso4217Code'
      required:
        - currencyCode
    Iso4217Code:
      title: ISO 4217 Code
      description: >
        Currency, fund and precious metal codes as of Jan. 1, 2023 per [ISO 4217
        Currency Code
        Maintenance](https://www.six-group.com/en/products-services/financial-information/data-standards.html)
      type: string
      example: CAD
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOV
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHE
        - CHF
        - CHW
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MXV
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - USN
        - UYI
        - UYU
        - UYW
        - UZS
        - VED
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XBA
        - XBB
        - XBC
        - XBD
        - XCD
        - XDR
        - XOF
        - XPD
        - XPF
        - XPT
        - XSU
        - XTS
        - XUA
        - XXX
        - YER
        - ZAR
        - ZMW
        - ZWL
  responses:
    responseErrorCustomerIdNotFound:
      description: The customer ID in the URL path is invalid or not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GenericError'
            example:
              error: Customer not found
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/TODO) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````